| QxOrm 1.4.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::QxXmlReader Class Reference

`#include <QxXmlReader.h>`

List of all members.

## Public Types
typedef std::shared_ptr < QByteArray > | type_byte_arr_ptr
typedef QHash< QString, type_byte_arr_ptr > | type_hash_bin_data
typedef QHashIterator< QString, type_byte_arr_ptr > | type_hash_bin_data_itr
## Public Member Functions
| QxXmlReader ()
| QxXmlReader (const QString &data)
virtual | ~QxXmlReader ()
void | addBinaryData (const type_hash_bin_data &other, bool bClear)
void | addBinaryData (const QString &sKey, type_byte_arr_ptr pData)
void | removeBinaryData (const QString &sKey)
void | removeAllBinaryData ()
bool | isStartBinaryData () const
type_byte_arr_ptr | readBinaryData ()
## Protected Attributes
type_hash_bin_data | m_mapBinaryData

## Detailed Description

Definition at line 53 of file QxXmlReader.h.

## Member Typedef Documentation

typedef std::shared_ptr<QByteArray> qx::QxXmlReader::type_byte_arr_ptr

Definition at line 58 of file QxXmlReader.h.

typedef QHash<QString, type_byte_arr_ptr> qx::QxXmlReader::type_hash_bin_data

Definition at line 59 of file QxXmlReader.h.

typedef QHashIterator<QString, type_byte_arr_ptr> qx::QxXmlReader::type_hash_bin_data_itr

Definition at line 60 of file QxXmlReader.h.

## Constructor & Destructor Documentation

qx::QxXmlReader::QxXmlReader | ( |  | ) | `[inline]`

Definition at line 68 of file QxXmlReader.h.

qx::QxXmlReader::QxXmlReader | ( | const QString & | data | ) | `[inline]`

Definition at line 69 of file QxXmlReader.h.

virtual qx::QxXmlReader::~QxXmlReader | ( |  | ) | `[inline, virtual]`

Definition at line 70 of file QxXmlReader.h.

## Member Function Documentation

void qx::QxXmlReader::addBinaryData | ( | const type_hash_bin_data & | other,
|  | bool | bClear
| ) |  |

void qx::QxXmlReader::addBinaryData | ( | const QString & | sKey,
|  | type_byte_arr_ptr | pData
| ) |  |

bool qx::QxXmlReader::isStartBinaryData | ( |  | ) | const

type_byte_arr_ptr qx::QxXmlReader::readBinaryData | ( |  | ) |

void qx::QxXmlReader::removeAllBinaryData | ( |  | ) |

void qx::QxXmlReader::removeBinaryData | ( | const QString & | sKey | ) |

## Member Data Documentation

type_hash_bin_data qx::QxXmlReader::m_mapBinaryData`[protected]`

Definition at line 64 of file QxXmlReader.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxXml/QxXmlReader.h